Subject: Re: bug#79285: [Patch] support :font-features in face

From: Binbin YE <[email-masked]>
Date: Thu, 28 Aug 2025 10:36:45 +0900

Hi Eli,

I found I needed extra handling to support alist merging for the font
features, which took a bit longer than expected.

I am currently wrapping up the code before sending the updated patch. Can
you help me understand what indentation guidelines are?

> > +      if (CONSP (font_features))
> > +          font_put_extra (entity, QCfont_features, font_features);
         ^^^^
> We use indentation offset of 2 columns in C sources.

I tried clang-format with .clang-format configuration in the repository and
it produces indents mixed with tab and space. Like <tab><space><space>

And I spotted the existing code base in xfaces.c sometimes uses all spaces
and sometimes uses mixture of tab and space for indentation.

Is it OK to treat 1 indent level = 2 spaces?